#!/usr/bin/perl

# Copyright (C) 2003, 2004
# Emmanuel Saracco <esaracco@noos.fr>
# Easter-eggs <http://www.easter-eggs.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330,
# Boston, MA 02111-1307, USA.

require './clamav-lib.pl';
&ReadParse ();

my $scandir = ($in{'next'} and $in{'what'} ne '');
my $msg = '';

&header($text{'FORM_TITLE'}, "", undef, 1, 0);
print "<hr>\n";

# delete files if requested
if ($in{'delete'} ne '')
{
  foreach my $key (keys %in)
  {
    next if ($key !~ /infected_file/);
    unlink ($in{$key}) if (-f $in{$key});
  }

  $msg = $text{'FILES_DELETED'};
}  

print qq(<h1>$text{'SCANDIR_TITLE'}</h1>);
print qq(<p>$text{'SCANDIR_DESCRIPTION'}</p>);

print qq(<p><b>$msg</b></p>) if ($msg ne '');

print qq(<p><b>$text{'MSG_CHOOSE_DIR'}</b></p>)
  if ($in{'next'} and $in{'what'} eq '');

print qq(<form method="POST" action="$scriptname">);

print qq(<input type="text" name="what" value="$in{'what'}">);
print print &file_chooser_button('what', 1, 0);

$checked = ($in{'recursive'} eq 'on') ? ' CHECKED' : '';
print qq(<p><input type="checkbox" name="recursive" value="on"$checked> );
print qq($text{'CHECK_SUB'}</p>);

$checked = ($in{'infected'} eq 'on') ? ' CHECKED' : '';
print qq(<p><input type="checkbox" name="infected" value="on"$checked> );
print qq($text{'SHOW_INFECTED_ONLY'}</p>);

print qq(<p><input type="submit" name="next" value="$text{'CHECK_DIR'}"></p>);

if ($scandir)
{
  print qq(<hr>);
 
  &clamav_scandir ($in{'what'}, 
    ($in{'recursive'} eq 'on'),
    ($in{'infected'} eq 'on')  
  );
}

print qq(</form>);

print qq(<hr>);
&footer("", $text{'RETURN_INDEX_MODULE'});
